> ## Documentation Index
> Fetch the complete documentation index at: https://docs.b3iq.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Local health check.

` GET /health `

Local health check.

## Servers

- ` http://127.0.0.1:8831 ` — Default local host-agent listener.

## Responses

### ` 200 ` — Host-agent health.

Content type: ` application/json `

- ` value `: type ` object `

  - Required fields: ` status `, ` service `

  - ` status `: type ` string `

    - enum: ` ["ok"] `

  - ` service `: type ` string `

    - enum: ` ["b3iq-host-agent"] `

  - ` node_id `: type ` string `

## Request examples

### cURL

```curl
curl -X GET 'http://127.0.0.1:8831/health'
```

### JavaScript

```javascript
const response = await fetch('http://127.0.0.1:8831/health', {
  method: 'GET'
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

response = requests.get('http://127.0.0.1:8831/health')
print(response.json())
```